### A free/open-source library for quantitative finance

Protected Member Functions | Protected Attributes
SyntheticCDO::engine Class Reference

CDO base engine. More...

`#include <ql/experimental/credit/syntheticcdoengines.hpp>`

Inheritance diagram for SyntheticCDO::engine:
[legend]

List of all members.

## Protected Member Functions

virtual Real | expectedTrancheLoss (const Date &) const =0
virtual void | initialize () const

## Protected Attributes

boost::shared_ptr< Basket > | remainingBasket_

## Detailed Description

CDO base engine.